Summary: binary star astronomy for fun, education, and science
Name: nightfall
Version: 2.0.3
Release: 1
License: GPL
Icon: nightfall.xpm
URL: http://www.hs.uni-hamburg.de/DE/Ins/Per/Wichmann/Nightfall.html
Prefix: /usr
Requires: gnuplot
Group: Applications/Math
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Rainer Wichmann <rwichman@hs.uni-hamburg.de>
Provides: %{name}

%description 
Nightfall is an open source interactive astronomy application for 
fun, education, and science. It can generate animated views of 
binary stars, calculate lightcurves and radial velocity curves, 
and eventually determine the best-fit model for a given set of 
observational data. It comes with a user manual and observational 
data for several real binary stars to play with.

If you relocate the (binary distribution) package,
you need to set the NIGHTFALL_DATAROOT environment variable
(see user manual).

%prep
%setup

%build
./configure --prefix=%{_usr} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--with-locale-prefix=%{_datadir}/locale \
	--disable-gnome \
	--with-gnuplot 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc UserManual.pdf UserManual.html README COPYING AUTHORS ChangeLog 
%{_datadir}/nightfall
%attr(644,root,root) %{_mandir}/man1/nightfall.*
%{_datadir}/locale/de/LC_MESSAGES/nightfall.mo
%{_datadir}/locale/it/LC_MESSAGES/nightfall.mo
%attr(755,root,root) %{_bindir}/nightfall

%changelog
* Mon Dec 23 2002 Rainer Wichmann <rwichman@lsw.uni-heidelberg.de>
- fix files
- fix configure options
- use RPM_BUILD_ROOT


